Bug 25287 - Add columns_settings support to API datatables wrapper
Summary: Add columns_settings support to API datatables wrapper
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 24561
Blocks: 25288 26262 25909
  Show dependency treegraph
 
Reported: 2020-04-27 05:23 UTC by Tomás Cohen Arazi
Modified: 2020-11-12 16:18 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Tables are starting to use the new API to build their contents. This is done by using the API datatables wrapper. This development makes this wrapper support the current columns settings feature.
Version(s) released in:
20.11.00


Attachments
Bug 25287: Add columns_settings capabilities to API datatables wrapper (31.28 KB, patch)
2020-04-27 05:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25287: Add columns_settings capabilities to API datatables wrapper (31.46 KB, patch)
2020-04-28 06:45 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25287: Add columns_settings capabilities to API datatables wrapper (31.67 KB, patch)
2020-05-06 14:50 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25287: Make the strings from .js translatable (4.52 KB, patch)
2020-06-16 14:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25287: Add columns_settings capabilities to API datatables wrapper (31.75 KB, patch)
2020-06-16 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25287: Make the strings from .js translatable (4.59 KB, patch)
2020-06-16 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-04-27 05:23:34 UTC
In order to use the API wrapper for datatables, we need to add the option to set columns settings to it.
Comment 1 Tomás Cohen Arazi 2020-04-27 05:32:31 UTC
Created attachment 103728 [details] [review]
Bug 25287: Add columns_settings capabilities to API datatables wrapper

This patch adds the code that is used for handling columns settings on
datatables and allows passing the columns_settings information to the
API-centric datatable. To test, you need bug 25288, which uses this features.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Frédéric Demians 2020-04-28 06:45:10 UTC
Created attachment 103827 [details] [review]
Bug 25287: Add columns_settings capabilities to API datatables wrapper

This patch adds the code that is used for handling columns settings on
datatables and allows passing the columns_settings information to the
API-centric datatable. To test, you need bug 25288, which uses this features.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Works with bug 24561. Make working bug 25288
Comment 3 Tomás Cohen Arazi 2020-05-06 14:50:14 UTC
Created attachment 104436 [details] [review]
Bug 25287: Add columns_settings capabilities to API datatables wrapper

This patch adds the code that is used for handling columns settings on
datatables and allows passing the columns_settings information to the
API-centric datatable. To test, you need bug 25288, which uses this features.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Works with bug 24561. Make working bug 25288
Comment 4 Tomás Cohen Arazi 2020-05-06 17:17:45 UTC
Rebased against the latest follow-up on the PQA bug 24561.
Comment 5 Jonathan Druart 2020-06-16 14:13:04 UTC
Created attachment 105919 [details] [review]
Bug 25287: Make the strings from .js translatable
Comment 6 Jonathan Druart 2020-06-16 14:37:15 UTC
Created attachment 105921 [details] [review]
Bug 25287: Add columns_settings capabilities to API datatables wrapper

This patch adds the code that is used for handling columns settings on
datatables and allows passing the columns_settings information to the
API-centric datatable. To test, you need bug 25288, which uses this features.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Works with bug 24561. Make working bug 25288

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2020-06-16 14:37:18 UTC
Created attachment 105922 [details] [review]
Bug 25287: Make the strings from .js translatable

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2020-06-24 13:32:25 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-07-13 14:26:19 UTC
Going to delay backporting this to 20.05.x until there is a resolution to bz25909